Name:          gmaven
Version:       1.3
Release:       %mkrel 5
Summary:       Integration of Groovy into Maven
Group:         Development/Java
License:       ASL 2.0
Url:           http://gmaven.codehaus.org/
# svn export http://svn.codehaus.org/gmaven/tags/gmaven-1.3
# tar czf gmaven-1.3-src-svn.tar.gz gmaven-1.3
Source0:       gmaven-1.3-src-svn.tar.gz
Patch0:        gmaven-1.3-poms.patch
Patch1:        gmaven-1.3-gshell-io.patch
Patch2:        gmaven-1.3-javadoc.patch
Patch3:        gmaven-1.3-gossip.patch
Patch4:        gmaven-1.3-no-remote-resources-plugin.patch
# use plexus component-metadata instead of maven-plugin
Patch5:        gmaven-1.3-component-metadata.patch
# replace maven-plugin-descriptor with maven-compat
# remove maven-plugin-parameter-documenter
# ---> gmaven-1.4/pom.xml
# ---> gmaven-1.4/gmaven-plugin/pom.xml 
Patch6:        gmaven-1.3-mvn3-compat.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: apache-commons-lang
BuildRequires: apache-resource-bundles
BuildRequires: classworlds
BuildRequires: codehaus-parent
BuildRequires: gossip
BuildRequires: groovy15
BuildRequires: groovy16
BuildRequires: groovy == 1.7.10
BuildRequires: gshell
BuildRequires: jline
BuildRequires: jline2
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-archetype-common
BuildRequires: maven-archetype-packaging
BuildRequires: maven-archetype-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-jxr
BuildRequires: maven-plugin-plugin
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-scm
BuildRequires: maven-shared-file-management
BuildRequires: maven-shared-filtering
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-wagon
BuildRequires: plexus-classworlds
BuildRequires: plexus-container-default
BuildRequires: plexus-digest
BuildRequires: plexus-interactivity
BuildRequires: plexus-containers-component-metadata
BuildRequires: plexus-utils
BuildRequires: qdox
BuildRequires: slf4j
BuildRequires: taglist-maven-plugin

BuildRequires: fusesource-pom

# maven2 apis
BuildRequires: maven-artifact-manager
BuildRequires: maven-error-diagnostics
BuildRequires: maven-monitor
BuildRequires: maven-plugin-registry
BuildRequires: maven-project

Requires:      maven-artifact-manager
Requires:      maven-error-diagnostics
Requires:      maven-monitor
Requires:      maven-plugin-registry
Requires:      maven-project

Requires:      gmaven-provider 

Requires:      ant
Requires:      apache-commons-lang
Requires:      codehaus-parent
Requires:      fusesource-pom
Requires:      gossip
Requires:      gshell
Requires:      jline
Requires:      junit
Requires:      maven-shared-file-management
Requires:      maven-shared-reporting-impl
Requires:      plexus-container-default
Requires:      plexus-digest
Requires:      plexus-utils
Requires:      qdox
Requires:      slf4j 

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch


%description
GMaven provides integration of the Groovy language into Maven.
With GMaven you can:
* Build Groovy Projects
* Execute Groovy Code
* Run Groovy Tools
* Implement Maven Plugins
Advanced:
* Groovy Runtime
* Advanced Configuration 

%package runtime-1.5
Group:         Development/Java
Summary:       Groovy 1.5 Runtime for %{name}
Provides:      %{name}-provider = 1.5
Requires:      %{name} = %{version}-%{release}
Requires:      groovy15

%description runtime-1.5
Integration of Groovy into Maven}.

%package runtime-1.6
Group:         Development/Java
Summary:       Groovy 1.6 Runtime for %{name}
Provides:      %{name}-provider = 1.6
Requires:      %{name} = %{version}-%{release}
Requires:      groovy16

%description runtime-1.6
Integration of Groovy into Maven.

%package runtime-1.7
Group:         Development/Java
Summary:       Groovy 1.7 Runtime for %{name}
Provides:      %{name}-provider = 1.7
Requires:      %{name} = %{version}-%{release}
Requires:      groovy == 1.7.10

%description runtime-1.7
Integration of Groovy into Maven. 

%package javadoc
Summary:        API Documentation for %{name}
Group:          Development/Java 
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
JavaDoc documentation for %{name}

%prep
%setup -q -n gmaven-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
#%patch4 -p0
%patch5 -p1
%patch6 -p1


%build

mvn-rpmbuild -e install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/%{name}

install -m 644 gmaven-archetypes/gmaven-archetype-basic/target/gmaven-archetype-basic-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-archetype-basic.jar
install -m 644 gmaven-archetypes/gmaven-archetype-mojo/target/gmaven-archetype-mojo-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-archetype-mojo.jar

install -m 644 gmaven-examples/clean-maven-plugin/target/clean-maven-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/clean-maven-plugin.jar
install -m 644 gmaven-examples/install-maven-plugin/target/install-maven-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/install-maven-plugin.jar

install -m 644 gmaven-feature/gmaven-feature-api/target/gmaven-feature-api-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-feature-api.jar
install -m 644 gmaven-feature/gmaven-feature-support/target/gmaven-feature-support-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-feature-support.jar

install -m 644 gmaven-mojo/target/gmaven-mojo-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-mojo.jar

install -m 644 gmaven-mojo-support/target/gmaven-mojo-support-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-mojo-support.jar

install -m 644 gmaven-packaging/target/gmaven-packaging-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-packaging.jar

install -m 644 gmaven-plugin/target/gmaven-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-plugin.jar

install -m 644 gmaven-runtime/gmaven-runtime-1.5/target/gmaven-runtime-1.5-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-runtime-1.5.jar
install -m 644 gmaven-runtime/gmaven-runtime-1.6/target/gmaven-runtime-1.6-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-runtime-1.6.jar
install -m 644 gmaven-runtime/gmaven-runtime-1.7/target/gmaven-runtime-1.7-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-runtime-1.7.jar
install -m 644 gmaven-runtime/gmaven-runtime-api/target/gmaven-runtime-api-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-runtime-api.jar
install -m 644 gmaven-runtime/gmaven-runtime-loader/target/gmaven-runtime-loader-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-runtime-loader.jar
install -m 644 gmaven-runtime/gmaven-runtime-support/target/gmaven-runtime-support-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-runtime-support.jar

install -m 644 gmaven-support/filter-plugin/target/filter-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/filter-plugin.jar

install -m 644 gmaven-testsuite/target/gmaven-testsuite-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-testsuite.jar

install -m 644 groovy-maven-plugin/target/groovy-maven-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/groovy-maven-plugin.jar


mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom

install -m 644 gmaven-archetypes/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-archetypes.pom
%add_maven_depmap JPP.%{name}-%{name}-archetypes.pom
install -m 644 gmaven-archetypes/gmaven-archetype-basic/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-archetype-basic.pom
%add_maven_depmap JPP.%{name}-%{name}-archetype-basic.pom %{name}/%{name}-archetype-basic.jar
install -m 644 gmaven-archetypes/gmaven-archetype-mojo/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-archetype-mojo.pom
%add_maven_depmap JPP.%{name}-%{name}-archetype-mojo.pom %{name}/%{name}-archetype-mojo.jar

install -m 644 gmaven-examples/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-examples.pom
%add_maven_depmap JPP.%{name}-%{name}-examples.pom
install -m 644 gmaven-examples/clean-maven-plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-clean-maven-plugin.pom
%add_maven_depmap JPP.%{name}-clean-maven-plugin.pom %{name}/clean-maven-plugin.jar
install -m 644 gmaven-examples/install-maven-plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-install-maven-plugin.pom
%add_maven_depmap JPP.%{name}-install-maven-plugin.pom %{name}/install-maven-plugin.jar

install -m 644 gmaven-feature/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-feature.pom
%add_maven_depmap JPP.%{name}-%{name}-feature.pom
install -m 644 gmaven-feature/gmaven-feature-api/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-feature-api.pom
%add_maven_depmap JPP.%{name}-%{name}-feature-api.pom %{name}/%{name}-feature-api.jar
install -m 644 gmaven-feature/gmaven-feature-support/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-feature-support.pom
%add_maven_depmap JPP.%{name}-%{name}-feature-support.pom %{name}/%{name}-feature-support.jar

install -m 644 gmaven-mojo/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-mojo.pom
%add_maven_depmap JPP.%{name}-%{name}-mojo.pom %{name}/%{name}-mojo.jar

install -m 644 gmaven-mojo-support/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-mojo-support.pom
%add_maven_depmap JPP.%{name}-%{name}-mojo-support.pom %{name}/%{name}-mojo-support.jar

install -m 644 gmaven-packaging/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-packaging.pom
%add_maven_depmap JPP.%{name}-%{name}-packaging.pom %{name}/%{name}-packaging.jar

install -m 644 gmaven-plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-plugin.pom
%add_maven_depmap JPP.%{name}-%{name}-plugin.pom %{name}/%{name}-plugin.jar

install -m 644 gmaven-runtime/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-runtime.pom
%add_maven_depmap JPP.%{name}-%{name}-runtime.pom
install -m 644 gmaven-runtime/gmaven-runtime-1.5/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-1.5.pom
%add_maven_depmap JPP.%{name}-%{name}-runtime-1.5.pom %{name}/%{name}-runtime-1.5.jar
install -m 644 gmaven-runtime/gmaven-runtime-1.6/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-1.6.pom
%add_maven_depmap JPP.%{name}-%{name}-runtime-1.6.pom %{name}/%{name}-runtime-1.6.jar
install -m 644 gmaven-runtime/gmaven-runtime-1.7/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-1.7.pom
%add_maven_depmap JPP.%{name}-%{name}-runtime-1.7.pom %{name}/%{name}-runtime-1.7.jar
install -m 644 gmaven-runtime/gmaven-runtime-api/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-api.pom
%add_maven_depmap JPP.%{name}-%{name}-runtime-api.pom %{name}/%{name}-runtime-api.jar
install -m 644 gmaven-runtime/gmaven-runtime-loader/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-loader.pom
%add_maven_depmap JPP.%{name}-%{name}-runtime-loader.pom %{name}/%{name}-runtime-loader.jar
install -m 644 gmaven-runtime/gmaven-runtime-support/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-support.pom
%add_maven_depmap JPP.%{name}-%{name}-runtime-support.pom %{name}/%{name}-runtime-support.jar

install -m 644 gmaven-support/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-support.pom
%add_maven_depmap JPP.%{name}-%{name}-support.pom
install -m 644 gmaven-support/filter-plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-filter-plugin.pom
%add_maven_depmap JPP.%{name}-filter-plugin.pom %{name}/filter-plugin.jar

install -m 644 gmaven-testsuite/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-testsuite.pom
%add_maven_depmap JPP.%{name}-%{name}-testsuite.pom %{name}/%{name}-testsuite.jar

install -m 644 groovy-maven-plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-groovy-maven-plugin.pom
%add_maven_depmap JPP.%{name}-groovy-maven-plugin.pom %{name}/groovy-maven-plugin.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/clean-maven-plugin.jar
%{_javadir}/%{name}/filter-plugin.jar
%{_javadir}/%{name}/groovy-maven-plugin.jar
%{_javadir}/%{name}/install-maven-plugin.jar
%{_javadir}/%{name}/%{name}-archetype-basic.jar
%{_javadir}/%{name}/%{name}-archetype-mojo.jar
%{_javadir}/%{name}/%{name}-feature-api.jar
%{_javadir}/%{name}/%{name}-feature-support.jar
%{_javadir}/%{name}/%{name}-mojo.jar
%{_javadir}/%{name}/%{name}-mojo-support.jar
%{_javadir}/%{name}/%{name}-packaging.jar
%{_javadir}/%{name}/%{name}-plugin.jar
%{_javadir}/%{name}/%{name}-runtime-api.jar
%{_javadir}/%{name}/%{name}-runtime-loader.jar
%{_javadir}/%{name}/%{name}-runtime-support.jar
%{_javadir}/%{name}/%{name}-testsuite.jar
%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%{_mavenpomdir}/JPP.%{name}-clean-maven-plugin.pom
%{_mavenpomdir}/JPP.%{name}-filter-plugin.pom
%{_mavenpomdir}/JPP.%{name}-groovy-maven-plugin.pom
%{_mavenpomdir}/JPP.%{name}-install-maven-plugin.pom 
%{_mavenpomdir}/JPP.%{name}-%{name}-archetypes.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-archetype-basic.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-archetype-mojo.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-examples.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-feature.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-feature-api.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-feature-support.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-mojo-support.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-mojo.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-packaging.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-plugin.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-runtime.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-api.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-loader.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-support.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-support.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-testsuite.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt README.txt

%files runtime-1.5
%{_javadir}/%{name}/%{name}-runtime-1.5.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-1.5.pom

%files runtime-1.6
%{_javadir}/%{name}/%{name}-runtime-1.6.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-1.6.pom

%files runtime-1.7
%{_javadir}/%{name}/%{name}-runtime-1.7.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-runtime-1.7.pom

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Jan 09 2012 gil <gil> 1.3-5.mga2
+ Revision: 194037
- build fix remove BR maven2

* Mon Dec 26 2011 gil <gil> 1.3-4.mga2
+ Revision: 187861
- build fix
  added BR apache-resource-bundles
  commented patch4

* Mon Dec 26 2011 gil <gil> 1.3-3.mga2
+ Revision: 187759
- build fix
  rebuilt with maven-archetype 2.1 support
  used plexus component-metadata instead of maven-plugin

* Thu Oct 20 2011 gil <gil> 1.3-2.mga2
+ Revision: 156759
- remove groovy17 and fix groovy version

* Wed Oct 19 2011 gil <gil> 1.3-1.mga2
+ Revision: 156633
- edit spec file, rebuilt with groovy17 support
- imported package gmaven

